> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/elastic-ip/modifyeipbandwidth.md).

# ModifyEipBandwidth

## 1. API Description

This API (ModifyEipBandwidth) is used to modify bandwidth of the elastic IP.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Operation is only supported for the elastic IP in status of</mark> <mark style="color:blue;">`BINDED`</mark> <mark style="color:blue;">or</mark> <mark style="color:blue;">`UNBIND`</mark><mark style="color:blue;">.</mark>

* This operation is executed asynchronously. Once the call is successful, the bandwidth change will be processed in the background. The current operation status can be obtained by querying the `operationInfo` field of the EIP list interface.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name                | Required | Type    | Description                                                                                                                                                                                                                                                                                                                                                                      |
| ----------------------------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eipId                         | Yes      | String  | <p>Unique ID of the EIP.</p><p>It can be obtained by calling <a href="/api-reference/zec/elastic-ip/describeeips.md">DescribeEips</a>.</p>                                                                                                                                                                                                                                       |
| bandwidth                     | Yes      | Integer | <p>Target bandwidth.</p><p>Unit: Mbps .</p><p>Available value range: \[1, +) .</p><p>Value range: \[1, +)</p>                                                                                                                                                                                                                                                                    |
| commitBandwidth \[Deprecated] | No       | Integer | <p>Deprecated. This parameter no longer takes effect and the value passed in is ignored.</p><p>The burstable bandwidth of an EIP that already has one configured remains unchanged. If the <code>bandwidth</code> specified this time exceeds the original burstable bandwidth, the burstable bandwidth is automatically raised to the same value as <code>bandwidth</code>.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Change bandwidth of the elastic IP to `10` Mbps.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyEipBandwidth
<Common Request Params>

Request：
{
    "eipId": "< EipId >",
    "bandwidth": 10
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                              | Description                                                                          |
| ---------------- | ------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| 404              | INVALID\_EIP\_NOT\_FOUND                                | Elastic IP does not exist.                                                           |
| 400              | INVALID\_PARAMETER\_BANDWIDTH\_EXCEED                   | Bandwidth size exceeds the upper limit.                                              |
| 400              | OPERATION\_DENIED\_EIP\_IN\_RISK\_CONTROL               | This operation is not supported for elastic IPs under risk control.                  |
| 500              | OPERATION\_DENIED\_EIP\_STATUS\_NOT\_SUPPORT            | Operations on the EIP with current status are not supported.                         |
| 400              | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT | IP network billing type is not supported.                                            |
| 400              | OPERATION\_DENIED\_LATEST\_OPERATION\_NOT\_FINISHED     | The previous operation has not been completed or has failed. Please try again later. |
